package compbio.ws.server;

import java.io.File;

import javax.jws.WebService;

import org.apache.log4j.Logger;

import compbio.data.msa.SequenceAnnotation;
import compbio.engine.Configurator;
import compbio.metadata.ChunkHolder;
import compbio.runner.conservation.AACon;
import compbio.runner.disorder.Jronn;

@WebService(endpointInterface = "compbio.data.msa.SequenceAnnotation", targetNamespace = "http://msa.data.compbio/01/12/2010/", serviceName = "JronnWS")
public class JronnWS extends SAService<Jronn>
		implements
			SequenceAnnotation<Jronn> {

	private static Logger log = Logger.getLogger(JronnWS.class);

	public JronnWS() {
		super(new Jronn(), log);
	}

	@Override
	public ChunkHolder pullExecStatistics(String jobId, long position) {
		WSUtil.validateJobId(jobId);
		String file = Configurator.getWorkDirectory(jobId) + File.separator
				+ AACon.getStatFile();
		return WSUtil.pullFile(file, position);
	}

}
